# Method: customers.userLists.generateFrequencyListMemberships

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/generateFrequencyListMemberships#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/generateFrequencyListMemberships#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/generateFrequencyListMemberships#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/generateFrequencyListMemberships#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.userLists/generateFrequencyListMemberships#body.aspect)

> [!WARNING]
> Frequency capping audiences are no longer supported in Ads Data Hub due to the upstream [deprecation of frequency-based audiences in Display \& Video 360](https://support.google.com/displayvideo/answer/13439592).

Generate memberships for the UserList. The UserList must have UserListType FREQUENCY_BASED.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{name=customers/*/userLists/*}:generateFrequencyListMemberships`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Full resource name, e.g. 'customers/123/userLists/12345678'. UserList must have UserListType FREQUENCY_BASED. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`